pydo.actions.list()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.actions.list(per_page=20, page=1)Description
This will be the entire list of actions taken on your account, so it will be quite large. As with any large collection returned by the API, the results will be paginated with only 20 on each page by default.
Parameters
per_pageinteger optionalNumber of items returned per page
pageinteger optionalWhich 'page' of paginated results to return.
Request Sample
Pagination
This method returns paginated results. The response includes a
links.pages object with URLs for navigating between pages. To
retrieve the next page, parse the next URL and pass the page
parameter:
from urllib.parse import urlparse, parse_qs
resp = client.actions.list()
pages = resp.get("links", {}).get("pages", {})
while "next" in pages:
parsed = urlparse(pages["next"])
page = int(parse_qs(parsed.query)["page"][0])
resp = client.actions.list(page=page)
pages = resp.get("links", {}).get("pages", {})Response Example
More Information
See /v2/actions in the API reference for additional detail on responses, headers, parameters, and more.